## org.jfree.report.util
Class InstanceID

    java.lang.Object
      org.jfree.report.util.InstanceID

All Implemented Interfaces:
  java.io.Serializable

    public final class InstanceID

extends java.lang.Object
implements java.io.Serializable

This class can be used as ID to mark instances of objects. This allows to track and identify objects and their clones.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`InstanceID()` DefaultConstructor.

Method Summary
`java.lang.String` `toString()` Returns a simple string representation of this object to make is identifiable by human users.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceID

    public InstanceID()

  DefaultConstructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a simple string representation of this object to make is identifiable by human users.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation.